[mythtv-users] Update to lirc 0.8.5 breaks things

Jarod Wilson jarod at wilsonet.com
Tue Jun 23 12:56:24 UTC 2009

On Jun 22, 2009, at 11:29 PM, Richard Shaw wrote:

> I can confirm that updating lirc rpms to 0.8.5 broke lirc_mceusb2.
> Reverting back to the following rpms fixed it.
> lirc-doc-0.8.4a-1.fc10.x86_64
> lirc-devel-0.8.4a-1.fc10.x86_64
> lirc-remotes-0.8.4a-1.fc10.x86_64
> lirc-0.8.4a-1.fc10.x86_64
> lirc-libs-0.8.4a-1.fc10.x86_64
> No kernel changes were done, just reverted to the older lirc rpms.
> I am still using the kernel.
> I got the same errors:
> could not get hardware features
> this device driver does not support the LIRC ioctl interface
> make sure you use a current version of the driver
> could not init hardware (lircd running ? --> close it, check
> Well damn, that ain't good... Serves me right for not trying out  
> 0.8.5 w/the current F10 kernel... So I need to figure out what to do  
> to fix that situation...
> Fedora 10 will have a 2.6.29.x kernel in its updates repo Real Soon  
> Now, which should remedy the incompatibility with lirc 0.8.5. For  
> the moment, downgrading to 0.8.4a userspace or jumping to the  
> 2.6.29.x kernel in updates-testing are the most feasible work-arounds.
> I just updated to the kernel in updates-testing and all appears to  
> be fixed but the wife and kids will give it more "exercise" tomorrow  
> and I'll report any problems.

Good to hear, apologies for not catching the fact there was an  
incompatibility. :\

Jarod Wilson
jarod at wilsonet.com

More information about the mythtv-users mailing list